%define	api_version	3
%define api		3.0
%define lib_major	20

%define libname		%mklibname %{name} %{api_version} %{lib_major}
%define libnamedev	%mklibname -d %{name} %{api_version}
%define gi_libname	%mklibname %{name}-gir %{api}

%define libname4		%mklibname %{name} 4 %{lib_major}
%define libname4dev	%mklibname -d %{name} 4
%define gi_libname4	%mklibname %{name}-gir 4.0

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

Summary:	Package containing code shared among gnome-session, gnome-control-center, nautilus, etc
Name:		gnome-desktop
Version:	44.1
Release:	%mkrel 2
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		https://gitlab.gnome.org/GNOME/gnome-desktop
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
BuildRequires:	gcc
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.21.3
BuildRequires:	pkgconfig(gio-2.0) >= 2.19.1
BuildRequires:	pkgconfig(glib-2.0) >= 2.53.1
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 0.1.4
BuildRequires:	pkgconfig(gtk4) >= 4.4.0
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(libseccomp)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext) >= 1.2
BuildRequires:	pkgconfig(xrandr) >= 1.2
BuildRequires:	pkgconfig(xkeyboard-config)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	yelp-tools
BuildRequires:	ldetect-lst
BuildRequires:	iso-codes
Requires:	bubblewrap
Requires:	ldetect-lst >= 0.1.282
Provides:	gnome-desktop3 = %{version}-%{release}
Obsoletes:	gnome-desktop3 < 3.30.2-2
Obsoletes:	gnome-desktop-common < 2.32.1-11

%description
gnome-desktop3 contains the libgnome-desktop library as well as a data
file that exports the "GNOME" version to the Settings Details panel.

The libgnome-desktop library provides API shared by several applications
on the desktop, but that cannot live in the platform for various
reasons. There is no API or ABI guarantee, although we are doing our
best to provide stability. Documentation for the API is available with
gtk-doc.

%package -n %{libname}
Summary:	%{summary}
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
gnome-desktop3 contains the libgnome-desktop library as well as a data
file that exports the "GNOME" version to the Settings Details panel.

The libgnome-desktop library provides API shared by several applications
on the desktop, but that cannot live in the platform for various
reasons. There is no API or ABI guarantee, although we are doing our
best to provide stability. Documentation for the API is available with
gtk-doc.

%package -n %{gi_libname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{_lib}gnome-desktop-3_0 < 3.1.2-2

%description -n %{gi_libname}
GObject Introspection interface description for %{name}.

%package -n %{libnamedev}
Summary:	Static libraries, include files for %{name}
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{gi_libname} = %{version}

%description -n %{libnamedev}
The %{libnamedev} package contains libraries and header files for
developing applications that use %{name}.

%package -n %{libname4}
Summary:	%{summary}
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname4}
gnome-desktop4 contains the libgnome-desktop library as well as a data
file that exports the "GNOME" version to the Settings Details panel.

The libgnome-desktop library provides API shared by several applications
on the desktop, but that cannot live in the platform for various
reasons. There is no API or ABI guarantee, although we are doing our
best to provide stability. Documentation for the API is available with
gtk-doc.

%package -n %{gi_libname4}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname4} = %{version}-%{release}
Conflicts:	%{_lib}gnome-desktop-3_0 < 3.1.2-2

%description -n %{gi_libname4}
GObject Introspection interface description for %{name}.

%package -n %{libname4dev}
Summary:	Static libraries, include files for %{name}
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname4} = %{version}
Requires:	%{gi_libname4} = %{version}

%description -n %{libname4dev}
The %{libname4dev} package contains libraries and header files for
developing applications that use %{name}.

%package  tests
Summary:	Tests for the %{name} package
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}

%description tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.

%prep
%autosetup -p1 -n gnome-desktop-%{tarball_version}

%build
%meson -Dgtk_doc=true -Dinstalled_tests=true
%meson_build

%install
%meson_install

%find_lang %{name}-%{api} --all-name --with-gnome

%files -f %{name}-%{api}.lang
%doc AUTHORS COPYING NEWS README.md
%{_libexecdir}/gnome-desktop-debug

%files -n %{libname}
%{_libdir}/libgnome-desktop-%{api_version}.so.%{lib_major}{,.*}

%files -n %{gi_libname}
%{_libdir}/girepository-1.0/GnomeDesktop-%{api}.typelib

%files -n %{libnamedev}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/libgnome-desktop-3.so
%{_libdir}/pkgconfig/gnome-desktop-3.0.pc
%{_includedir}/gnome-desktop-3.0
%{_datadir}/gir-1.0/GnomeDesktop-%{api}.gir

%files -n %{libname4}
%{_libdir}/libgnome-bg-4.so.2{,.*}
%{_libdir}/libgnome-desktop-4.so.2{,.*}
%{_libdir}/libgnome-rr-4.so.2{,.*}

%files -n %{gi_libname4}
%{_libdir}/girepository-1.0/Gnome*-4.0.typelib

%files -n %{libname4dev}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/libgnome-*-4.so
%{_libdir}/pkgconfig/gnome-*-4.pc
%{_includedir}/gnome-desktop-4.0
%{_datadir}/gir-1.0/Gnome*-4.0.gir

%files tests
%{_libexecdir}/installed-tests/%{name}/
%{_datadir}/installed-tests/%{name}


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 44.1-2.mga10
+ Revision: 2233013
- Mageia 10 Mass Rebuild

* Sat Dec 28 2024 daviddavid <daviddavid> 44.1-1.mga10
+ Revision: 2130971
- new version 44.1

* Sat Apr 22 2023 tmb <tmb> 44.0-1.mga9
+ Revision: 1953941
- update to 44.0

* Wed Feb 15 2023 daviddavid <daviddavid> 43.1-1.mga9
+ Revision: 1942678
- new version 43.1

* Mon Sep 19 2022 tv <tv> 43-1.mga9
+ Revision: 1890250
- Update to 43

* Mon Aug 08 2022 ovitters <ovitters> 42.4-1.mga9
+ Revision: 1876174
- new version 42.4

* Mon Jul 11 2022 ovitters <ovitters> 42.3-1.mga9
+ Revision: 1868530
- new version 42.3
- new version 42.2

* Wed Apr 27 2022 ovitters <ovitters> 42.1-1.mga9
+ Revision: 1854664
- new version 42.1

* Mon Mar 21 2022 tv <tv> 42.0-1.mga9
+ Revision: 1813928
- Update to 42.0

* Tue Mar 15 2022 tv <tv> 42~rc-1.mga9
+ Revision: 1793521
- Update to 42.rc
- New subpackages for gtk4 version

* Tue Jan 11 2022 ovitters <ovitters> 41.3-1.mga9
+ Revision: 1768028
- new version 41.3

* Mon Jan 10 2022 tv <tv> 41.2-1.mga9
+ Revision: 1767479
- 41.2
+ ovitters <ovitters>
- new version 40.6

* Tue Nov 02 2021 ovitters <ovitters> 40.5-1.mga9
+ Revision: 1753778
- new version 40.5

* Thu Aug 19 2021 ovitters <ovitters> 40.4-1.mga9
+ Revision: 1741920
- new version 40.4

* Thu Jul 15 2021 ovitters <ovitters> 40.3-1.mga9
+ Revision: 1736102
- new version 40.3

* Wed Jun 09 2021 ovitters <ovitters> 40.2-1.mga9
+ Revision: 1730229
- new version 40.2

* Wed May 05 2021 ovitters <ovitters> 40.1-1.mga9
+ Revision: 1721481
- new version 40.1

* Wed Mar 24 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1709614
- new version 40.0

* Mon Mar 22 2021 ovitters <ovitters> 3.38.5-1.mga9
+ Revision: 1708018
- new version 3.38.5
- new version 3.38.4

* Fri Jan 08 2021 ovitters <ovitters> 3.38.3-1.mga8
+ Revision: 1669833
- new version 3.38.3

* Tue Nov 24 2020 ovitters <ovitters> 3.38.2-1.mga8
+ Revision: 1649064
- new version 3.38.2

* Mon Oct 05 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1632283
- new version 3.38.1

* Mon Sep 14 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1626089
- new version 3.38.0

* Sun Sep 06 2020 ovitters <ovitters> 3.37.92-1.mga8
+ Revision: 1623048
- new version 3.37.92

* Tue Aug 25 2020 ovitters <ovitters> 3.37.91-1.mga8
+ Revision: 1619042
- new version 3.37.91

* Fri Aug 07 2020 ovitters <ovitters> 3.37.90.1-1.mga8
+ Revision: 1611824
- new version 3.37.90.1

* Tue Jul 07 2020 ovitters <ovitters> 3.37.3-1.mga8
+ Revision: 1602703
- new version 3.37.3

* Wed Jun 10 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1591710
- new version 3.37.2

* Wed Apr 29 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1573122
- new version 3.36.2
+ danf <danf>
- Switch URLs from http: to https:

* Tue Mar 31 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1562804
- new version 3.36.1

* Tue Mar 10 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1555342
- new version 3.36.0

* Wed Feb 19 2020 umeabot <umeabot> 3.35.91-2.mga8
+ Revision: 1542926
- Mageia 8 Mass Rebuild

* Tue Feb 18 2020 tv <tv> 3.35.91-1.mga8
+ Revision: 1539934
- major is now 19
+ ovitters <ovitters>
- new version 3.35.91

* Wed Jan 08 2020 ovitters <ovitters> 3.34.3-1.mga8
+ Revision: 1477271
- new version 3.34.3

* Tue Dec 03 2019 ovitters <ovitters> 3.34.2-1.mga8
+ Revision: 1464152
- new version 3.34.2

* Tue Oct 08 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1450492
- new version 3.34.1

* Tue Sep 10 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439212
- new version 3.34.0

* Wed Sep 04 2019 ovitters <ovitters> 3.33.92.1-1.mga8
+ Revision: 1437421
- new version 3.33.92.1

* Wed Aug 21 2019 ovitters <ovitters> 3.33.91-1.mga8
+ Revision: 1430746
- new version 3.33.91

* Mon Aug 12 2019 ovitters <ovitters> 3.33.90-1.mga8
+ Revision: 1429037
- new version 3.33.90

* Wed May 08 2019 tmb <tmb> 3.32.2-1.mga7
+ Revision: 1396776
- update to 3.32.2

* Sun May 05 2019 daviddavid <daviddavid> 3.32.1.2-2.mga7
+ Revision: 1396404
- add missing dependency on bubblewrap

* Tue Apr 23 2019 ovitters <ovitters> 3.32.1.2-1.mga7
+ Revision: 1395043
- new version 3.32.1.2
- new version 3.32.1.1

* Wed Apr 17 2019 umeabot <umeabot> 3.32.1-2.mga7
+ Revision: 1392341
- Rebuild with meson 0.50.1

* Wed Apr 10 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1387806
- new version 3.32.1

* Tue Mar 12 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374429
- new version 3.32.0

* Sat Mar 09 2019 tmb <tmb> 3.31.92-1.mga7
+ Revision: 1373180
- update to 3.31.92

* Thu Feb 07 2019 ovitters <ovitters> 3.30.2.1-1.mga7
+ Revision: 1364077
- new version 3.30.2.1

* Sat Dec 15 2018 wally <wally> 3.30.2-3.mga7
+ Revision: 1341411
- provide gnome-desktop3

* Fri Dec 14 2018 wally <wally> 3.30.2-2.mga7
+ Revision: 1341241
- rename as gnome-desktop

* Sat Oct 27 2018 ovitters <ovitters> 3.30.2-1.mga7
+ Revision: 1326202
- new version 3.30.2

* Wed Sep 26 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1305748
- new version 3.30.1

* Mon Sep 03 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256862
- new version 3.30.0

* Tue Aug 14 2018 ovitters <ovitters> 3.29.91-1.mga7
+ Revision: 1251436
- new version 3.29.91

* Fri Aug 03 2018 guillomovitch <guillomovitch> 3.29.90.1-1.mga7
+ Revision: 1247018
- fix lang files identification
+ ovitters <ovitters>
- new version 3.29.90.1

* Fri Jul 20 2018 ovitters <ovitters> 3.29.4-1.mga7
+ Revision: 1244455
- new version 3.29.4

* Mon Jul 16 2018 ovitters <ovitters> 3.29.3-1.mga7
+ Revision: 1243855
- new version 3.29.3

* Thu May 10 2018 ovitters <ovitters> 3.28.2-1.mga7
+ Revision: 1227977
- new version 3.28.2
- new version 3.28.1

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208579
- new version 3.28.0

* Fri Mar 09 2018 ovitters <ovitters> 3.27.92-1.mga7
+ Revision: 1207834
- new version 3.27.92

* Mon Feb 19 2018 guillomovitch <guillomovitch> 3.27.90-2.mga7
+ Revision: 1203269
- drop gnome-directory-thumbnailer dependency, in order to fix circular dependency

* Wed Feb 14 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1201257
- bump major
- new version 3.27.90

* Tue Oct 31 2017 ovitters <ovitters> 3.26.2-1.mga7
+ Revision: 1175211
- new version 3.26.2

* Mon Oct 02 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1163751
- new version 3.26.1

* Fri Sep 15 2017 tv <tv> 3.26.0-1.mga7
+ Revision: 1153968
- new release

* Mon May 08 2017 ovitters <ovitters> 3.24.2-1.mga6
+ Revision: 1099677
- new version 3.24.2

* Sun Apr 09 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096155
- new version 3.24.1

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094196
- new version 3.24.0

* Mon Nov 07 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065649
- new version 3.22.2

* Mon Oct 10 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1060070
- new version 3.22.1

* Mon Sep 26 2016 tv <tv> 3.22.0-3.mga6
+ Revision: 1056836
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sun Sep 25 2016 ovitters <ovitters> 3.22.0-2.mga6
+ Revision: 1056130
- require gnome-directory-thumbnailer

* Mon Sep 19 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054457
- new version 3.22.0

* Sun Sep 18 2016 ovitters <ovitters> 3.21.90-1.mga6
+ Revision: 1053845
- new version 3.21.90

* Mon May 09 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011597
- new version 3.20.2

* Mon Apr 11 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1000277
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993756
- new version 3.20.0

* Thu Mar 17 2016 ovitters <ovitters> 3.19.93-1.mga6
+ Revision: 992484
- new version 3.19.93

* Mon Mar 14 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990495
- new version 3.19.92

* Thu Mar 03 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 984992
- new version 3.19.91

* Tue Feb 16 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961864
- new version 3.19.90

* Tue Feb 16 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 961846
- new version 3.19.4

* Sun Feb 14 2016 umeabot <umeabot> 3.19.3-2.mga6
+ Revision: 960339
- Mageia 6 Mass Rebuild

* Tue Dec 15 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 910775
- new version 3.19.3

* Tue Nov 24 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 905774
- new version 3.19.2

* Mon Nov 09 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 900200
- new version 3.18.2

* Tue Oct 13 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890172
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882583
- new release

* Tue Sep 15 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879617
- new version 3.17.92

* Thu Sep 03 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 872562
- new version 3.17.91

* Tue Aug 18 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865613
- new version 3.17.90

* Wed Jul 22 2015 ovitters <ovitters> 3.17.4-1.mga6
+ Revision: 856171
- new version 3.17.4

* Wed Jun 24 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 841970
- new version 3.17.3

* Sun Jun 21 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 838293
- new version 3.17.2

* Wed Nov 12 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796570
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 738784
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738632
- new version 3.14.1

* Sun Sep 28 2014 tv <tv> 3.14.0-2.mga5
+ Revision: 731144
- rebuild so that it picks typelib() requires

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719240
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-3.mga5
+ Revision: 686696
- Rebuild to fix library dependencies
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676940
- new version 3.13.92

* Tue Sep 02 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 671097
- new version 3.13.91

* Thu Aug 21 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 666209
- new version 3.13.90

* Wed Jul 23 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655976
- new version 3.13.4

* Thu Jun 26 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 640146
- new version 3.13.3

* Wed May 28 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 627233
- new version 3.13.2

* Tue May 13 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622498
- new version 3.12.2

* Wed Apr 16 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 615244
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607926
- new version 3.12.0

* Tue Mar 18 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 604854
- new version 3.11.91

* Tue Feb 18 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594399
- new version 3.11.90

* Thu Feb 06 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 584090
- new version 3.11.5

* Thu Nov 21 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 552195
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 545203
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 500900
- new version 3.10.1

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484573
- new version 3.10.0

* Wed Sep 18 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 481163
- new version 3.9.92

* Tue Sep 03 2013 ovitters <ovitters> 3.9.91-2.mga4
+ Revision: 474879
- remove gnome-panel from description

* Tue Sep 03 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474870
- drop merged patch
- new version 3.9.91

* Mon Sep 02 2013 colin <colin> 3.9.90-2.mga4
+ Revision: 474313
- Add yelp-tools to fix some kind of Makefile breakage in documentation
- Remove unrecognised configure options
- Add gnome-common BR for autotools macros
- Update to current git master (fixes may be related to mga#11124)

* Tue Aug 20 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 468302
- new version 3.9.90

* Tue Jul 30 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 461147
- new version 3.9.5

* Sun Jul 28 2013 dams <dams> 3.9.1.1-1.mga4
+ Revision: 459269
- new version 3.9.1.1

* Fri Jun 07 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 440334
- new version 3.8.3

* Fri May 24 2013 tv <tv> 3.8.2-1.mga4
+ Revision: 426569
- bump library major
- BR iso-codes
- new release

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-3.mga3
+ Revision: 352091
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 cjw <cjw> 3.6.2-2.mga3
+ Revision: 341431
- fix filelist for libexecdir

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317476
- new version 3.6.2

* Wed Oct 17 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307696
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0.1-1.mga3
+ Revision: 297814
- new version 3.6.0.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297022
- new version 3.6.0

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288157
- new version 3.5.91

* Wed Aug 22 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 283064
- new version 3.5.90

* Tue Aug 07 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279748
- package help files
- update file list
- br itstool
- new version 3.5.5

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271402
- new version 3.5.4

* Tue Jul 10 2012 anssi <anssi> 3.5.3-2.mga3
+ Revision: 269266
- add conflicts entry in gir subpackage due to a file move some time ago,
  to ensure smooth upgrade

* Tue Jun 26 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 264082
- update file list
- increase lib major
- br xkeyboard-config, xkbfile
- new version 3.5.3

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235665
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231038
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226813
- fix find_lang file list for sr@latin
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224333
- new version 3.3.92

* Mon Mar 05 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 219090
- drop upstreamed patch
- new version 3.3.91

* Wed Feb 22 2012 ovitters <ovitters> 3.3.90-1.mga2
+ Revision: 212279
- new version

* Mon Feb 06 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205337
- new version 3.3.5

* Mon Jan 16 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 196971
- new version

* Tue Dec 20 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184914
- new version 3.3.3
- add P0 to fix linking

* Mon Nov 21 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 170466
- new version 3.3.2

* Thu Oct 27 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 158666
- new version 3.3.1

* Sun Oct 16 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155508
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148607
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 145731
- new version 3.1.92

* Mon Sep 05 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 138782
- new version 3.1.91

* Tue Aug 30 2011 fwang <fwang> 3.1.90.1-1.mga2
+ Revision: 136727
- new version 3.1.90.1
- new version 3.1.5
+ wally <wally>
- change conflicts to obsoletes+provides to ensure the new lib gets installed
- new version 3.1.4
- fix libification
- drop stale startup-notification dep

* Wed Jul 13 2011 wally <wally> 3.1.3-1.mga2
+ Revision: 123798
- new version 3.1.3
- clean .spec a bit

* Sat Jul 09 2011 cjw <cjw> 3.1.2-3.mga2
+ Revision: 121248
- rebuild for automatic typelib provides and deps

* Tue Jul 05 2011 cjw <cjw> 3.1.2-2.mga2
+ Revision: 118574
- put gobject introspection typelib in a separate subpackage

* Mon Jul 04 2011 dmorgan <dmorgan> 3.1.2-1.mga2
+ Revision: 118342
- Fix major
- Fix tarball name
- New version 3.1.2

* Tue Jun 28 2011 dmorgan <dmorgan> 3.0.2-5.mga2
+ Revision: 115513
- Do not provide gnome-desktop
  Add conflicts instead of obsoletes to allow to have gnome-desktop co-installable with gnome-desktop3

* Tue Jun 14 2011 dmorgan <dmorgan> 3.0.2-4.mga2
+ Revision: 106098
- Add Obsoletes to ease update

* Mon Jun 13 2011 cjw <cjw> 3.0.2-3.mga2
+ Revision: 105800
- fix gnome-desktop-common obsoletes

* Thu Jun 09 2011 dmorgan <dmorgan> 3.0.2-2.mga2
+ Revision: 102495
- Remove la files

* Wed Jun 08 2011 dmorgan <dmorgan> 3.0.2-1.mga2
+ Revision: 101686
- imported package gnome-desktop3


* Wed Nov 17 2010 Götz Waschk <waschk@mandriva.org> 2.32.1-1mdv2011.0
+ Revision: 598365
- update to new version 2.32.1

* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581279
- update to new version 2.32.0

* Tue Sep 14 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 578286
- update to new version 2.31.92

* Wed Aug 18 2010 Götz Waschk <waschk@mandriva.org> 2.31.90-1mdv2011.0
+ Revision: 571215
- update to new version 2.31.90

* Wed Aug 04 2010 Götz Waschk <waschk@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 565837
- update to new version 2.31.6

* Fri Jul 30 2010 Götz Waschk <waschk@mandriva.org> 2.31.2-2mdv2011.0
+ Revision: 563553
- rebuild
- update to new version 2.31.2

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.30.2-1mdv2011.0
+ Revision: 550681
- update to new version 2.30.2

* Wed Mar 31 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 530228
- update to new version 2.30.0

* Mon Mar 08 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 516391
- new version
- drop patch
- update omf file list

* Mon Feb 22 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 509660
- update to new version 2.29.91

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 502987
- update to new version 2.29.90

* Wed Jan 27 2010 Götz Waschk <waschk@mandriva.org> 2.29.6-1mdv2010.1
+ Revision: 497246
- update to new version 2.29.6

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-1mdv2010.1
+ Revision: 490497
- new version
- new major

* Fri Jan 08 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.4-2mdv2010.1
+ Revision: 487708
- Remove pnp.ids file, use the one from ldetect-lst now

* Tue Dec 22 2009 Götz Waschk <waschk@mandriva.org> 2.29.4-1mdv2010.1
+ Revision: 481602
- update to new version 2.29.4

* Fri Dec 11 2009 Götz Waschk <waschk@mandriva.org> 2.29.3-2mdv2010.1
+ Revision: 476484
- fix crash in gnome-settings-daemon without xrandr (bug #56349)

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.3-1mdv2010.1
+ Revision: 475428
- update to new version 2.29.3

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458860
- Release 2.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446789
- update to new version 2.28.0

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 437223
- update to new version 2.27.92

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 421055
- update to new version 2.27.91

* Wed Aug 19 2009 Frederic Crozat <fcrozat@mandriva.com> 2.27.5-2mdv2010.0
+ Revision: 417962
- Remove mandriva.png from pixmaps, it is now shipped by desktop-common-data

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 402859
- new version
- update file list
- drop gnomeui dep

* Wed Jul 15 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 396379
- update to new version 2.27.4

* Tue Jun 16 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 386339
- update to new version 2.27.3

* Wed May 20 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 378023
- update to new version 2.26.2

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366928
- update to new version 2.26.1

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356297
- update to new version 2.26.0

* Tue Mar 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 348015
- update to new version 2.25.92

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341222
- update to new version 2.25.91

* Wed Feb 04 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 337266
- update to new version 2.25.90

* Tue Jan 20 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 331536
- update to new version 2.25.5

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.25.4-1mdv2009.1
+ Revision: 325312
- update to new version 2.25.4

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 315826
- new version
- new major

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 309076
- update deps
- update to new version 2.25.2

* Sun Nov 09 2008 Adam Williamson <awilliamson@mandriva.org> 2.25.1.1-2mdv2009.1
+ Revision: 301224
- rebuild for new xcb

* Wed Nov 05 2008 Götz Waschk <waschk@mandriva.org> 2.25.1.1-1mdv2009.1
+ Revision: 300025
- new version
- drop patch
- new major

* Wed Oct 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-2mdv2009.1
+ Revision: 296444
- rebuild for broken build system
- update to new version 2.24.1

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287269
- new epiphany

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282802
- new version

* Tue Sep 02 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278809
- new version

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 273604
- new version

* Tue Aug 05 2008 Götz Waschk <waschk@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 263697
- new version

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 2.23.5-1mdv2009.0
+ Revision: 241858
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231019
- new version
- new version

* Mon Jun 30 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 230187
- new version
- update license
- update buildrequires

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 211637
- new version
- fix build

* Wed Mar 26 2008 Emmanuel Andry <eandry@mandriva.org> 2.22.0-2mdv2008.1
+ Revision: 190526
- Fix lib group

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183856
- new version

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 175483
- new version

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 165444
- fix rpmlint error
- new version

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159048
- new version

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 152168
- fix buildrequires
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 2.21.4-1mdv2008.1
+ Revision: 132902
- new version
- drop patch 2

* Tue Dec 18 2007 Frederic Crozat <fcrozat@mandriva.com> 2.21.2-2mdv2008.1
+ Revision: 132449
- Patch2 (Fedora): add gnome-bg API

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 14 2007 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 108622
- new version

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98699
- new version

* Tue Sep 18 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-1mdv2008.0
+ Revision: 89566
- Move mo files to a new sub-package

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Wed Sep 05 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 79721
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63283
- new version
- fix buildrequires

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-2mdv2008.0
+ Revision: 57354
- new devel name
- use scrollkeeper macros

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 56735
- fix buildrequires
- new version

* Sun Jul 08 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 49947
- new version

* Sun Jun 17 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 40612
- new version
- bump deps

* Wed Jun 06 2007 Götz Waschk <waschk@mandriva.org> 2.19.3.1-1mdv2008.0
+ Revision: 36005
- new version

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 32121
- new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14402
- new version


* Fri Mar 16 2007 Olivier Blin <oblin@mandriva.com> 2.18.0-2mdv2007.1
+ Revision: 144693
- tag lang on Gnome help files

* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142140
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 126122
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 120192
- new version

* Sun Jan 21 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 111611
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.17.5-1mdv2007.1
+ Revision: 106282
- new version

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-5mdv2007.1
+ Revision: 89202
- rebuild

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-4mdv2007.1
+ Revision: 88956
- fix buildrequires

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-3mdv2007.1
+ Revision: 88463
- rebuild

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-2mdv2007.1
+ Revision: 87661
- fix buildrequires
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 86191
- new version
- unpack patch
- Import gnome-desktop

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- New release 2.15.92

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1
- New release 2.15.90

* Tue Jul 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-2mdv2007.0
- Rebuild to drop obsolete libhowl dependency

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- New release 2.15.4

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2

* Wed May 31 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Thu Apr 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1.1-1mdk
- Release 2.14.1.1

* Thu Mar 02 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-2mdk
- Rebuild to remove howl dep

* Mon Feb 06 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3
- use mkrel

* Tue Nov 29 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Wed Oct 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-2mdk
- Fix buildrequires

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1

* Fri Oct 07 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-3mdk
- fix buildrequires

* Fri Oct 07 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-2mdk
- fix buildrequires

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdk
- Release 2.12.0

* Wed Jun 29 2005 Götz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- drop patch 2
- New release 2.10.2

* Sat Apr 30 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-5mdk 
- Patch2: fix i18n init

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-4mdk 
- Move logo to pixmaps directory

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-3mdk 
- Rename our icon file

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-2mdk 
- Fix vendor

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Götz Waschk package)
- update description with fedora one

* Tue Feb 15 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-1mdk 
- Release 2.8.3

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1
- Remove patch2 (merged upstream)

* Fri Jul 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-2mdk
- Patch2 : fix OMF validation (Mdk bug #10201)

* Wed Jun 16 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- reenable libtoolize
- New release 2.6.2

* Tue Apr 27 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.1-3mdk
- fix buildrequires

* Fri Apr 23 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.1-2mdk
- fix buildrequires

* Wed Apr 21 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- fix source location
- New release 2.6.1

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.1-1mdk
- Release 2.6.0.1 (with Götz help)
- add omf files and call scrollkeeper in the post script

